/**
 * Created by Sam R.
 * on 17-12-2011
 * at 22:14
 */
package com.cirrial.ld22 {
import org.flixel.FlxG;
import org.flixel.FlxSprite;
import org.flixel.FlxState;
import org.flixel.FlxText;

public class WinState extends FlxState {
    [Embed(source = '../../../../data/graphics/endScreen.png')]
    private var ImgScreen:Class;

    override public function create():void {

        add(new FlxSprite(0, 0, ImgScreen));

        var txt:FlxText;

        txt = new FlxText(10, 10, 310, "- THE END -");
        txt.setFormat(null, 16, 0xFFFFFFFF, "center", 0xFF000000);
        add(txt);

        txt = new FlxText(10, 40, 310, "I have no idea who they are." +
                "\nI have no idea why they came here." +
                "\nI was given enough to survive indefinitely, free to live without fear of starvation." +
                "\nAnd I was promised one thing." +
                "\n\nI would not be alone.");
        txt.setFormat(null, 8, 0xFFFFFFFF, "left", 0xFF000000);
        add(txt);

        txt = new FlxText(10, 140, 310, "Credits to #ludumdare, #slissa, and everyone else who supported and made this game possible!" +
                "\nYou found " + Main.getLogsRead() + "/" + TerminalStrings.TERMINAL_STRINGS.length + " terminals!" +
                "\n\nThanks for playing! You're all amazing! See you at LD23!");
        txt.setFormat(null, 8, 0xFFFFFFFF, "right", 0xFF000000);
        add(txt);

        txt = new FlxText(10, 220, 310, "- Press X or C to replay -");
        txt.setFormat(null, 8, 0xFFFFFFFF, "center", 0xFF000000);
        add(txt);

        FlxG.bgColor = 0xFFFFFFFF;
        FlxG.flash(0xFFFFFFFF, 1.0);
    }

    override public function update():void {
        if(FlxG.keys.pressed(Main.KEY_JUMP) || FlxG.keys.pressed(Main.KEY_ACTION)) {
            FlxG.fade(0xFF000000, 1.0, function():void {
                FlxG.switchState(new MenuState);
            })
        }

        super.update();
    }
}
}
